Subject: bug#73840: [PATCH] Improved folding for citations

From: Paul Nelson <[email-masked]>
Date: Thu, 17 Oct 2024 07:29:22 +0200

Hi Arash,

> I didn't read the code carefuly, but Why can't we conditionalize this,
> i.e., use RefTeX/BibTeX code if the libraries are loaded and plugged
> into AUCTeX (RefTeX mainly), otherwise stick with what we have?  This is
> actually AUCTeX mostly does.

OK, I did this with RefTeX (checking if it's bound and enabled).  For
bibtex.el, I just require'd it inside the internal function where it's
used.  I also implemented your correction to the docs.  Please find
attached the updated patch.  Any further feedback welcome.

Thanks, best,

Paul